//
//  ChooseLayoutViewController.h
//  WBA
//
//  Created by Class Account on 3/18/10.
//  Copyright 2010 __MyCompanyName__. All rights reserved.
//

/* This has the same characteristic as LectureSettings in that it can be accessed from two different screens.
 Also, the buttons on view on scrollview solution is more appropriate for this one.
 */

#import <UIKit/UIKit.h>
#import "Lecture.h"
#import "Board.h"


@interface ChooseLayoutViewController : UIViewController {
	UIScrollView *scrollLayoutView;
	UIView *layoutsView;
	
	// Layout buttons
	UIButton *fullBoard_btn;
	UIButton *vert2Split_btn;
	UIButton *horiz2Split_btn;
	
	UIButton *vert2and1Split_btn;
	UIButton *vert3Split_btn;
	UIButton *vert1and2Split_btn;
	
	UIButton *horiz2and1Split_btn;
	UIButton *horiz1and2Split_btn;
	UIButton *horiz3Split_btn;
	UIButton *fourWaySplit_btn;
	
	Lecture *model;
	int positionInLecture;
	Board *existingBoard;	// may be nil
	BOOL makeNewBoardEditor;
	UIViewController *boardEditor;	//may be nil
}

@property (nonatomic, retain) IBOutlet UIScrollView *scrollLayoutView;
@property (readwrite, assign) BOOL makeNewBoardEditor;
@property (nonatomic, retain) Board *existingBoard;
@property (nonatomic, retain) Lecture *model;
@property (readwrite, assign) int positionInLecture;
@property (nonatomic, retain) UIViewController *boardEditor;

-(UIButton*)makeLayoutButton:(NSString*)iconName hPos:(int)hpos vPos:(int)vpos;

-(IBAction) chooseLayout:(id)sender;

@end
