//
//  EditorBoardView.h
//  WBA
//
//  Created by Class Account on 3/29/10.
//  Copyright 2010 __MyCompanyName__. All rights reserved.
//

#import <UIKit/UIKit.h>
#import <AVFoundation/AVFoundation.h>
#import <AudioUnit/AudioUnit.h>
#import "Board.h"
#import "BoardView.h"
#import "BoardSection.h"
#import "PresentationImageViewController.h"

@interface EditorBoardView : BoardView <AVAudioPlayerDelegate> {
	bool hasSelectedElement;
	ElementType selectedElement;
	BoardSection *bsect;
	UIActionSheet *soundPopUp;

	int seconds;
	int audioLength;
	UIAlertView *playbackAlert;
	UILabel *playbackTimer;
	bool isPlaying;
	AVAudioPlayer *audioPlayer;
}

-(void)setSelectedElement:(bool)hasSelection withType:(ElementType)elType;

@end
