//
//  ElementButton.m
//  WBA
//
//  Created by Class Account on 4/9/10.
//  Copyright 2010 __MyCompanyName__. All rights reserved.
//

#import "ElementButton.h"
#import "BoardViewController.h"


@implementation ElementButton

@synthesize delegate;


- (id)initWithFrame:(CGRect)frame {
    if (self = [super initWithFrame:frame]) {
        // Initialization code
    } 
    return self;
}

- (id) init
{
	self = [super init];
	if (self != nil) {
		background = [[UIImageView alloc] init];
		[self addSubview:background];
	}
	return self;
}


-(void)setBackgroundImage:(UIImage *)image {
	//UIImageView *newBG = [[UIImageView alloc] initWithImage:image];
//	newBG.frame = self.bounds;
//	[self addSubview:newBG];
	[background setImage:image];
	background.frame = self.bounds;
}

-(UIImage *)currentBackgroundImage{
	return background.image;
}


#pragma mark -
#pragma mark Touch events
#pragma mark -

-(void)touchesBegan:(NSSet *)touches withEvent:(UIEvent *)event
{
	BoardViewController *del = ((BoardViewController *) delegate);
	ElementButton *dup = [[ElementButton alloc] init];
	dup.frame = self.frame;
	dup.backgroundColor = self.backgroundColor;
	[dup setBackgroundImage:[self currentBackgroundImage]];
	dup.delegate = self.delegate;
	[del.overlay addSubview:dup];
	[del elementSelected:self];
	[super touchesBegan:touches withEvent:event];
}

-(void)touchesMoved:(NSSet *)touches withEvent:(UIEvent *)event
{  
	BoardViewController *del = ((BoardViewController *) delegate);
	del.overlay.hidden = NO;
	
	[del.scrollElementsView setScrollEnabled:NO];
	((ElementButton *)[del.overlay.subviews objectAtIndex:0]).center = [[touches anyObject] locationInView:del.overlay];
	[del.overlay touchesMoved:touches withEvent:event];
	[super touchesMoved:touches withEvent:event];
}

-(void)touchesEnded:(NSSet *)touches withEvent:(UIEvent *)event
{
	BoardViewController *del = ((BoardViewController *) delegate);
	[del.overlay touchesEnded:touches withEvent:event];
	
	del.overlay.hidden = YES;
	for (ElementButton *eb in del.overlay.subviews){
		[eb removeFromSuperview];
	}
	
	[del.scrollElementsView setScrollEnabled:YES];
	[super touchesEnded:touches	withEvent:event];
}



- (void)drawRect:(CGRect)rect {
    // Drawing code
}


- (void)dealloc {
    [super dealloc];
}


@end
