//
//  IconBoardArea.h
//  WBA
//
//  Created by Class Account on 4/2/10.
//  Copyright 2010 __MyCompanyName__. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "IconBoardView.h"
#import "Lecture.h"
#import "Board.h"
#import "globals.h"

/*
 This view organizes and contains all of the IconBoardViews in the lecture overview.
*/

@interface IconBoardArea : UIView {
	UIViewController *buttonDelegate;
	
	//The board that is being dragged
	IconBoardView *curBoard;
	
	//A placeholder board to show where the dragged board will be placed
	Board *emptyBoard;
}

-(void) setButtonDelegate:(UIViewController *)del;
-(UIViewController *) getButtonDelegate;
-(int) getBoardPosition:(CGPoint)p;

@end
