//
//  Lecture.h
//  WBA
//
//  Created by Class Account on 3/29/10.
//  Copyright 2010 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "Board.h"


@interface Lecture : NSObject {
        NSString *lid;
	NSMutableArray *boardList;
	NSString *title;
	
	NSMutableArray *physBoardPos;
	
	BOOL timing;
	int duration;
}

@property (nonatomic, retain) NSString *lid;
@property (nonatomic, retain) NSString *title;
@property (readwrite, assign) int duration;
@property (readwrite, assign) BOOL timing;
@property (nonatomic, retain) NSMutableArray *boardList;
@property (nonatomic, retain) NSMutableArray *physBoardPos;

-(int)numBoards;
-(void)addBoard:(Board*)board atPosition:(int)pos;
-(Board*)getBoard:(int)boardNum;
-(NSMutableDictionary*)serialize;


@end
