//
//  LectureDurationPicker.h
//  WBA
//
//  Created by efung on 4/28/10.
//  Copyright 2010 __MyCompanyName__. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "Lecture.h"
#import "LectureSettingsViewController.h"

@interface LectureDurationPicker : UIViewController {

	UIDatePicker *durationPicker;
	UIBarButtonItem *doneButton;
	
	LectureSettingsViewController *lsvc;
	Lecture *lecture;
}

@property (nonatomic, retain) IBOutlet UIDatePicker *durationPicker;
@property (nonatomic, retain) IBOutlet UIBarButtonItem *doneButton;
@property (nonatomic, retain) LectureSettingsViewController *lsvc;
@property (nonatomic, retain) Lecture *lecture;

-(IBAction)donePressed:(id)sender;
-(IBAction)updateLectureDuration:(id)sender;

@end
