//
//  PhysBoardLocViewController.h
//  WBA
//
//  Created by Class Account on 4/27/10.
//  Copyright 2010 __MyCompanyName__. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "Lecture.h"


@interface PhysBoardLocViewController : UIViewController {
	
	UINavigationBar *myNavBar;
	UIView *buttonsView;
	UIBarButtonItem *doneButton;
	
	Lecture *lecture;
	Board *board;
	BOOL isEditing;
	
	NSMutableArray *boardButtons;
}

@property (nonatomic, retain) IBOutlet UINavigationBar *myNavBar;
@property (nonatomic, retain) IBOutlet UIView *buttonsView;
@property (nonatomic, retain) IBOutlet UIBarButtonItem *doneButton;
@property (nonatomic, retain) Lecture *lecture;
@property (nonatomic, retain) Board *board;
@property (readwrite, assign) BOOL isEditing;

-(void)touchDownBoardButton:(id)sender forEvent:(UIEvent*)event;
-(void)setSelectedBoard:(int)physBoardNum;

-(IBAction)dismiss;

@end
