//
//  PresentationViewController.h
//  WBA
//
//  Created by Class Account on 4/1/10.
//  Copyright 2010 __MyCompanyName__. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "Lecture.h"
#import "TimerNoticeView.h"


#define TIME_INTERVAL 60


@interface PresentationViewController : UIViewController <UIScrollViewDelegate> {
	
	// Model
	Lecture *lecture;
	int currBoard;
	
	// UI Elements
	UIScrollView *scrollView;
	NSMutableArray *boardViews;
	UIToolbar *myToolBar;
	UIBarButtonItem *boardPos;
	TimerNoticeView *timerNotice;
	
	NSTimer *myTimer;
	int timeElapsed;
}

-(void)setLecture:(Lecture*)lec;

-(void)fireTimer;
-(void)updateTimerNotice;

-(void)launchPhotoViewer:(UIImage*)img;

-(IBAction)exitPresentation:(id)sender;
-(IBAction)viewBoardPos;
-(IBAction)viewHelp:(id)sender;

@property (nonatomic, retain) IBOutlet UIScrollView *scrollView;
@property (nonatomic, retain) IBOutlet UIToolbar *myToolBar;
@property (nonatomic, retain) IBOutlet UIBarButtonItem *boardPos;

@end
