//
//  TimeSetViewController.h
//  WBA
//
//  Created by Class Account on 4/9/10.
//  Copyright 2010 __MyCompanyName__. All rights reserved.
//

#import <UIKit/UIKit.h>
#include "Lecture.h"


@interface TimeSetViewController : UIViewController {
	Lecture *lecture;
	Board *board;
	int posInLecture;
	
	UIBarButtonItem *accept;
	
	UIView *overlay;
	UIView *overlay2;
	
	UISlider *mySlider;
	UILabel *boardMinsLabel;
	UILabel *lecEndLabel;
	UILabel *totalMinsLabel;
	
	NSMutableArray *ticks;
	
	int mins;
	int minsBefore;
	int minsAfter;
}

@property (nonatomic, retain) Lecture *lecture;
@property (nonatomic, retain) Board *board;
@property (readwrite, assign) int posInLecture;
@property (nonatomic, retain) IBOutlet UIView *overlay;
@property (nonatomic, retain) IBOutlet UIView *overlay2;
@property (nonatomic, retain) IBOutlet UIBarButtonItem *accept;
@property (nonatomic, retain) IBOutlet UISlider *mySlider;
@property (nonatomic, retain) IBOutlet UILabel *boardMinsLabel;
@property (nonatomic, retain) IBOutlet UILabel *lecEndLabel;
@property (nonatomic, retain) IBOutlet UILabel *totalMinsLabel;

-(IBAction)buttonClicked:(id)sender;
-(IBAction)scrollBarScrolled:(id)sender;
-(IBAction)scrollBarDone:(id)sender;

-(void)updateOverlays;

-(void)updateTickMarks;
-(void)initTickMarks;

@end
