//
//  LecturesViewController.h
//  WBA
//
//  Created by Class Account on 3/18/10.
//  Copyright 2010 __MyCompanyName__. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "Lecture.h"

@interface LecturesViewController : UIViewController <UITableViewDelegate, UITableViewDataSource> {
  NSMutableArray *lectures;
  UITableView *tableView;
  UIImageView *logo;
  
  NSString *masterStateFilePath;
  NSString *resourcesDir;
  
  NSMutableSet *referencedResources;
  NSMutableArray *lecturesDataList;
  Lecture *currentLecture;
  

}

@property (nonatomic, retain) IBOutlet UITableView *tableView;
@property (nonatomic, retain) NSMutableSet *referencedResources;
@property (nonatomic, retain) NSMutableArray *lecturesDataList;
@property (nonatomic, retain) NSString *masterStateFilePath;
@property (nonatomic, retain) Lecture *currentLecture;

-(void)settingsAccepted;
-(void)editButtonPressed;
-(BOOL)loadLectureSelectionMenu;

-(void)serializeCurrentLecture;
-(void)removeStaleResources;
-(void)serializeStateToDisk;
-(BOOL)loadStateFromDisk;
-(void)registerReferencedResources;

-(void)hackyPopToSelfAndReloadLecture:(Lecture*)lec;



UIViewController *lecturesVC;


@end
