//
//  BoardViewOverlay.m
//  WBA
//
//  Created by Class Account on 4/9/10.
//  Copyright 2010 __MyCompanyName__. All rights reserved.
//

#import "BoardViewOverlay.h"
#import "BoardViewController.h"
#import "BoardSection.h"


@implementation BoardViewOverlay


@synthesize delegate;


- (id)initWithFrame:(CGRect)frame {
    if (self = [super initWithFrame:frame]) {
        // Initialization code
    }
    return self;
}

-(void)touchesBegan:(NSSet *)touches withEvent:(UIEvent *)event
{
	//BoardViewController *del = ((BoardViewController *) delegate);
	
}

-(void)touchesMoved:(NSSet *)touches withEvent:(UIEvent *)event
{  
	BoardViewController *del = ((BoardViewController *) delegate);
	
	BoardSection *sec = [[del getBoardView] sectionContainingPoint:[[touches anyObject] locationInView:[del getBoardView]]];
	if (sec)
	{
		highlight= CGRectMake(EDMODE_BOARD_X+sec.region.origin.x*EDMODE_BOARD_WIDTH, 
				   EDMODE_BOARD_Y+sec.region.origin.y*EDMODE_BOARD_HEIGHT, 
				   sec.region.size.width*EDMODE_BOARD_WIDTH, 
				   sec.region.size.height*EDMODE_BOARD_HEIGHT);
	}else{
		highlight = CGRectMake(0, 0, 0, 0);
	}
	
	[self setNeedsDisplay];
	[[del getBoardView] touchesMoved:touches withEvent:event];
	[super touchesMoved:touches withEvent:event];
}

-(void)touchesEnded:(NSSet *)touches withEvent:(UIEvent *)event
{
	BoardViewController *del = ((BoardViewController *) delegate);
	[[del getBoardView] touchesEnded:touches withEvent:event];
	[del deselectElement];
	[super touchesEnded:touches withEvent:event];
	//self.hidden = YES;
}



- (void)drawRect:(CGRect)rect {
	CGContextRef contextRef = UIGraphicsGetCurrentContext();
	CGContextSetRGBFillColor(contextRef, 0.0, 0.0, 0.7, 0.6);
	CGContextFillRect(contextRef, highlight);
	
}



- (void)dealloc {
    [super dealloc];
}


@end
