//
//  ClassroomConfigViewController.h
//  WBA
//
//  Created by Class Account on 4/22/10.
//  Copyright 2010 __MyCompanyName__. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "Lecture.h"


@interface ClassroomConfigViewController : UIViewController <UITextFieldDelegate>
{
	UIBarButtonItem *doneButton;
	UIBarButtonItem *addButton;
	UIBarButtonItem *removeButton;
	UIBarButtonItem *saveButton;
	UIBarButtonItem *loadButton;
	UIView *buttonsView;
	
	NSMutableArray *boardButtons;
	UIButton *selectedButton;
	CGPoint prevLoc;
	
	UIAlertView  *save_alert;
	UITextField  *save_textfield;
	
	Lecture *lecture;
}

@property (nonatomic, retain) IBOutlet UIBarButtonItem *doneButton;
@property (nonatomic, retain) IBOutlet UIBarButtonItem *addButton;
@property (nonatomic, retain) IBOutlet UIBarButtonItem *removeButton;
@property (nonatomic, retain) IBOutlet UIBarButtonItem *saveButton;
@property (nonatomic, retain) IBOutlet UIBarButtonItem *loadButton;
@property (nonatomic, retain) IBOutlet UIView *buttonsView;
@property (nonatomic, retain) Lecture *lecture;

-(IBAction)toolbarButtonPressed:(id)sender;

-(void)touchDownBoardButton:(id)sender forEvent:(UIEvent*)event;
-(void)touchMoveBoardButton:(id)sender forEvent:(UIEvent*)event;
-(void)touchUpBoardButton:(id)sender forEvent:(UIEvent*)event;

-(void)selectBoardButton:(UIButton*)bb;
-(void)deselectBoardButton;

@end
