//
//  LectureSettingsViewController.h
//  WBA
//
//  Created by Class Account on 3/18/10.
//  Copyright 2010 __MyCompanyName__. All rights reserved.
//

/*
 Since this VC gets called from two different places we might have to do some different stuff to it to make it 
 consistent. For the HiFi I'll just keep it simple.
 */

#import <UIKit/UIKit.h>
#import "Lecture.h"


@interface LectureSettingsViewController : UIViewController <UITextFieldDelegate, UITableViewDelegate, UITableViewDataSource> {
	Lecture *model;
	UITableView *myTableView;
	UITextField *titleField;
	UILabel	*durationLabel;
	UISwitch *timingSwitch;
	
	UIViewController *parent;
}

@property (nonatomic, retain) IBOutlet UITableView *myTableView;
@property (nonatomic, retain) UIViewController *parent;
@property (nonatomic, retain) UILabel *durationLabel;
@property (nonatomic, retain) Lecture *model;

-(void)acceptSettings;
-(void)updateDuration;
-(void)setModel:(Lecture*)newModel;
-(Lecture*)getLecture;

@end
