//
//  TimerNoticeView.h
//  WBA
//
//  Created by Class Account on 4/6/10.
//  Copyright 2010 __MyCompanyName__. All rights reserved.
//

#import <UIKit/UIKit.h>

typedef enum {
	BOARDTIME,
	LECTUREUP,
	LECTUREDOWN,
	
	NUMSTATES
} TimerState;

@interface TimerNoticeView : UIView {
	
	int lecDuration;
	int timeElapsed;
	int timeLeftForBoard;
	TimerState state;
	
	UILabel *textlabel;
}

-(void)update:(int)duration elapsed:(int)elapsed forBoard:(int)forBoard;
-(void)drawBoardTimer:(CGRect)rect;
-(void)drawLecCountDown:(CGRect)rect;
-(void)drawLecCountUp:(CGRect)rect;

@end

typedef enum {
	YELLOW = 300,
	RED = 60,
	BLACK = 0
} WarningLevels;
